	mui.init();

	var pageNo = 1;
	var pageNo2 = 1;
	var pageNo3 = 1;
	(function($) {
		var segmentedControl = document.getElementById('segmentedControl22');
		$('.mui-input-group').on('change', 'input', function() {
			if(this.checked) {
				var styleEl = document.querySelector('input[name="style"]:checked');
				console.log(styleEl);
				var colorEl = document.querySelector('input[name="color"]:checked');
				if(styleEl && colorEl) {
					var style = styleEl.value;
					var color = colorEl.value;
					segmentedControl.className = 'mui-segmented-control' + (style ? (' mui-segmented-control-' + style) : '') + ' mui-segmented-control-' + color;
				}
			}
		});
		//初始化单页的区域滚动
		mui('.mui-scroll-wrapper').scroll();
		//阻尼系数
		var deceleration = mui.os.ios ? 0.003 : 0.0009;
		$('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true, //是否显示滚动条
			deceleration: deceleration
		});
		

		mui.plusReady(function() {

			//循环初始化所有下拉刷新，上拉加载。
			$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
					$(pullRefreshEl).pullToRefresh({
						down: {
							callback: function() {
								var self = this;
								setTimeout(function() {
									var ul = self.element.querySelector('.mui-table-view');
									createFragment2(ul, self);
									self.endPullDownToRefresh();
								}, 1000);
							}
						},
						up: {
							contentrefresh: '正在加载...',
							auto: true, //可选,默认false.自动上拉加载一次
							callback: function() {
								var self = this;
								setTimeout(function() {
									var ul = self.element.querySelector('.mui-table-view');
									console.log(pullRefreshEl.id);
									createFragment(ul, self);
									self.endPullUpToRefresh();
								}, 1000);
							}
						}
					});
				});
			var createFragment = function(ul, self) {
				var dataType = self.element.id;
				if("BDDiv" == dataType) {
					BDDown(ul, self);
				} else if("ZDDiv" == dataType){
					ZDDown(ul, self);
				} else if("JZDiv" == dataType){
					JZDown(ul, self)
				}
			}

			//下拉菜单
			var createFragment2 = function(ul, self) {
				var dataType = self.element.id;
				if("BDDiv" == dataType) {
					pageNo = 1;
					vmA.itemAs = [];
					BDDown(ul, self);
				} else if("ZDDiv" == dataType){
					pageNo2 = 1;
					vmB.itemBs = [];
					ZDDown(ul, self);
				} else if("JZDiv" == dataType){
					pageNo3 = 1;
					vmC.itemCs = [];
					JZDown(ul, self)
				}
			}

			//北斗
			function BDDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var staffId = state.user.useId;
				var siteType ='BD';
				var	par  = ' p:"' + pageNo + '"';
					par += ',pSize:"' + APP.PageSize + '"';
					par += ',siteType:"'+ siteType + '"';
				var obj = {
					'serviceId': 'oa_2018A1127GetDailyofficelist',
					'params': '{' + par +  '}'
				};
				mui.ajax(url, {
					dataType: 'json', 			//服务器返回json格式数据
					type: 'post', 				//HTTP请求类型
					data: obj,
					timeout: 10000, 			//超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							if( data.returnParams.Rows != 0){
								var result = data.returnParams.Rows;
								var totalRow = data.returnParams.Total;
								var totalPage = Math.ceil(totalRow / APP.PageSize);
								if(totalPage == 0) totalPage = 1;
								if(result.length > 0) {
									vmA.itemAs = vmA.itemAs.concat(result);
								}
								self.endPullUpToRefresh(totalPage == pageNo); //参数为true代表没有更多数据了。
								if(pageNo == 1 && totalPage > 1)
									self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
								pageNo = pageNo + 1;
							}else{
								self.endPullUpToRefresh(true); //参数为true代表没有更多数据了。
							}
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}
			
			
			//350M窄带
			function ZDDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var siteType ='ZD';
				var	par  = ' p:"' + pageNo + '"';
					par += ',pSize:"' + APP.PageSize + '"';
					par += ',siteType:"'+ siteType + '"';
				var obj = {
					'serviceId': 'oa_2018A1127GetDailyofficelist',
					'params': '{' + par +  '}'
				};
				mui.ajax(url, {
					dataType: 'json', 				//服务器返回json格式数据
					type: 'post', 					//HTTP请求类型
					data: obj,
					timeout: 10000, 				//超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							if( data.returnParams.Rows != 0){
								var result = data.returnParams.Rows;
								var totalRow = data.returnParams.Total;
								var totalPage = Math.ceil(totalRow / APP.PageSize);
								if(totalPage == 0) totalPage = 1;
	
								if(result.length > 0) {
									vmB.itemBs = vmB.itemBs.concat(result);
								}
								self.endPullUpToRefresh(totalPage == pageNo2); //参数为true代表没有更多数据了。
								if(pageNo2 == 1 && totalPage > 1)
									self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
								pageNo2 = pageNo2 + 1;
							}else{
								self.endPullUpToRefresh(true); //参数为true代表没有更多数据了。
							}
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}
			
			//1.4G宽带
			function JZDown(ul, self) {
				var url = API.API_URL();
				var state = app.getState(); //获取登陆信息
				var siteType ='JZ';
				var	par  = ' p:"' + pageNo + '"';
					par += ',pSize:"' + APP.PageSize + '"';
					par += ',siteType:"'+ siteType + '"';
				var obj = {
					'serviceId': 'oa_2018A1127GetDailyofficelist',
					'params': '{' + par +  '}'
				};
				mui.ajax(url, {
					dataType: 'json', 			//服务器返回json格式数据
					type: 'post', 				//HTTP请求类型
					data: obj,
					timeout: 10000, 			//超时时间设置为10秒；
					headers: {
						'Accept': 'application/json'
					}, //超时时间设置为10秒；
					success: function(data) {
						if(data.returnCode == "0") {
							if( data.returnParams.Rows != 0){
								var result = data.returnParams.Rows;
								console.log('工作总结评分---'+JSON.stringify(data));
								var totalRow = data.returnParams.Total;
								var totalPage = Math.ceil(totalRow / APP.PageSize);
								if(totalPage == 0) totalPage = 1;
								
								if(result.length > 0) {
									vmC.itemCs = vmC.itemCs.concat(result);
								}
								self.endPullUpToRefresh(totalPage == pageNo3); //参数为true代表没有更多数据了。
								
	
								if(pageNo3 == 1 && totalPage > 1)
									self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
								pageNo3 = pageNo3 + 1;
							}else{
								self.endPullUpToRefresh(true); //参数为true代表没有更多数据了。
							}
						}
					},
					error: function(xhr, type, errorThrown) {}
				});
			}
		});
	})(mui);

	//北斗
	var vmA = new Vue({
		el: '#BDDiv',
		data: {
			itemAs: [] //列表信息流数据
		}
	});
	//350M窄带
	var vmB = new Vue({
		el: '#ZDDiv',
		data: {
			itemBs: [] //列表信息流数据
		}
	});
	//1.4G宽带
	var vmC = new Vue({
		el: '#JZDiv',
		data: {
			itemCs: [] //列表信息流数据
		}
	});

	

	/**
	 * 北斗
	 * itemAs
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailA(itemA) {
		//触发子窗口显示详情
		var page = "DailyofficeDetail.html";
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				item: itemA,
				title: '北斗基站详情',
				type: 'BD'
			}
		});
	}
	/**
	 * 350M窄带
	 * itemAs
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailB(itemB) {
		
		var page = "DailyofficeDetail.html";
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				item: itemB,
				title: '350M窄带基站详情',
				type: 'ZD'

			}
		});
	}
	/**
	 * 1.4G宽带
	 * itemAs
	 * @param {Object} item 当前点击的新闻对象
	 */
	function open_detailC(itemC) {
		
		var page = "DailyofficeDetail.html";
		mui.openWindow({
			createNew: true,
			url: page,
			extras: {
				item: itemC,
				title: '1.4G宽带基站详情',
				type: 'JZ'

			}
		});
	}
	
	